Skip to main content

Create a SecurID credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/securid

Since: 2.75.1

Required permission(s): AccessControl.CredentialCreate

Creates a new SecurID credential for the specified user.

The username field is required and used during authentication.

Each user can have at most one SecurID credential. Attempting to create a second credential for the same user will fail with a conflict error.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the SecurID credential. If omitted, one will be generated automatically.

    username stringrequired

    Possible values: non-empty

    The SecurID username used for authentication.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The initial state of the credential.

Responses

SecurID credential created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...